Signatures

Folder List

GET
/signatures/folder/list

Retrieves a paginated list of all folders associated with the authenticated user or namespace.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Query Parameters

top?integer

Maximum number of folders to return.

skip?integer

Number of folders to skip in the sorted results.

sort?string

Column to sort the results by (e.g., Name).

order?string

Sort direction (ASC or DESC).

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/folder/list"
{  "folder": [    {      "id": "123e4567-e89b-12d3-a456-426614174000",      "name": "Q3 Financial Contracts"    }  ]}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}